<template>
  <ul class="materials">
    <li class="material" :class="material && material.id === item.material.id ? 'active' : ''" v-for="item in materials" :key="item.id">
      <button @click="chooseMaterial(item.material.id, item.material)">
        {{item.material.name}}
      </button>
    </li>
  </ul>
</template>
<script>
import { mapState, mapMutations } from 'vuex'

export default {
  name: 'Materials',
  computed: mapState({
    materials: state => state.models.materials,
    material: state => state.models.material
  }),
  methods: {
    ...mapMutations('models', [
      'changeMaterial' 
    ]),
    chooseMaterial(id, object) {
      this.changeMaterial(object);
    }
  },
}
</script>
<style>
.materials {
  display: block;
  width: 100%;
  max-width: 400px;
  margin: 0;
  padding: 0;
  list-style-type: none;
}
.material {
  display: block;
  width: 100%;
}
.material button {
  display: block;
  width: 100%;
  background-color: rgba(0, 0, 0, 0);
  border: none;
  font-size: 16px;
  line-height: 20px;
  text-align: left;
  color: #000;
  transition: 0.3s;
  cursor: pointer;
}
.material:hover button,
.material.active button {
  color: #539fbb;
}
</style>